API ReferenceAgents
Unassign customers from agent
Remove customer assignments from an agent.
Path Parameters
userId*string
Format
uuidRequest Body
application/json
Request to assign customers to an agent
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/v1/agents/497f6eca-6276-4993-bfeb-53cbbbba6f08/customers" \ -H "Content-Type: application/json" \ -d '{ "customer_user_ids": [ "d75b5938-ed09-4797-bdaf-02e36469218b" ] }'[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "agent_user_id": "10fd0551-5cc1-4920-817b-63bd803087a9", "agent_user_name": "string", "agent_phone_number": "string", "agent_email": "string", "customer_user_id": "de115842-addf-4f11-bee7-4b415ab13852", "customer_name": "string", "customer_email": "string", "customer_phone_number": "string", "assigned_at": "2019-08-24T14:15:22Z", "unassigned_at": "2019-08-24T14:15:22Z", "assigned_by": "dd7cba77-7080-4b0e-9a94-fdfd1232f6b4", "unassigned_by": "9c8c9aa1-d188-4bc9-b19f-00452d95698d", "assignment_reason": "string", "unassignment_reason": "string", "is_active": true, "resource_id": "string" }]{ "code": "BAD_REQUEST", "description": "Bad Request"}{ "code": "UNAUTHORISED", "description": "Unauthorised"}{ "code": "WAITING_LIST", "description": "User is in the waiting list"}{ "code": "TOO_MANY_REQUESTS", "description": "Too Many Requests"}{ "code": "INTERNAL_SERVER_ERROR", "description": "Internal Server Error"}